- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties

# QColumnView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qcolumnview.h.

`#include <qcolumnview.h>`

Inheritance diagram for QColumnView:
[legend]

List of all members.

## Signals
void | updatePreviewWidget (const QModelIndex &index)
## Public Member Functions
| QColumnView (QWidget *parent=0)
| ~QColumnView ()
QModelIndex | indexAt (const QPoint &point) const
void | scrollTo (const QModelIndex &index, ScrollHint hint=EnsureVisible)
QSize | sizeHint () const
QRect | visualRect (const QModelIndex &index) const
void | setModel (QAbstractItemModel *model)
void | setSelectionModel (QItemSelectionModel *selectionModel)
void | setRootIndex (const QModelIndex &index)
void | selectAll ()
void | setResizeGripsVisible (bool visible)
bool | resizeGripsVisible () const
QWidget * | previewWidget () const
void | setPreviewWidget (QWidget *widget)
void | setColumnWidths (const QList< int > &list)
QList< int > | columnWidths () const
## Protected Member Functions
| QColumnView (QColumnViewPrivate &dd, QWidget *parent=0)
bool | isIndexHidden (const QModelIndex &index) const
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers)
void | resizeEvent (QResizeEvent *event)
void | setSelection (const QRect &rect, QItemSelectionModel::SelectionFlags command)
QRegion | visualRegionForSelection (const QItemSelection &selection) const
int | horizontalOffset () const
int | verticalOffset () const
void | rowsInserted (const QModelIndex &parent, int start, int end)
void | currentChanged (const QModelIndex &current, const QModelIndex &previous)
void | scrollContentsBy (int dx, int dy)
virtual QAbstractItemView * | createColumn (const QModelIndex &rootIndex)
void | initializeColumn (QAbstractItemView *column) const
## Properties
bool | resizeGripsVisible

## Constructor & Destructor Documentation

QColumnView | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QColumnView | ( |  | ) |

QColumnView | ( | QColumnViewPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

void updatePreviewWidget | ( | const QModelIndex & | index | ) | `[signal]`

Search for all occurrences

QModelIndex indexAt | ( | const QPoint & | point | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemView.

void scrollTo | ( | const QModelIndex & | index,
|  | ScrollHint | hint = `EnsureVisible`
| ) |  | `[virtual]`

Search for all occurrences

Implements QAbstractItemView.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

QRect visualRect | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemView.

void setModel | ( | QAbstractItemModel * | model | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void setSelectionModel | ( | QItemSelectionModel * | selectionModel | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void setRootIndex | ( | const QModelIndex & | index | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void selectAll | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void setResizeGripsVisible | ( | bool | visible | ) |

Search for all occurrences

bool resizeGripsVisible | ( |  | ) | const

Search for all occurrences

QWidget* previewWidget | ( |  | ) | const

Search for all occurrences

void setPreviewWidget | ( | QWidget * | widget | ) |

Search for all occurrences

void setColumnWidths | ( | const QList< int > & | list | ) |

Search for all occurrences

QList<int> columnWidths | ( |  | ) | const

Search for all occurrences

bool isIndexHidden | ( | const QModelIndex & | index | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

QModelIndex moveCursor | ( | CursorAction | cursorAction,
|  | Qt::KeyboardModifiers | modifiers
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void setSelection | ( | const QRect & | rect,
|  | QItemSelectionModel::SelectionFlags | command
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

QRegion visualRegionForSelection | ( | const QItemSelection & | selection | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

int horizontalOffset | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

int verticalOffset | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

void rowsInserted | ( | const QModelIndex & | parent,
|  | int | start,
|  | int | end
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void currentChanged | ( | const QModelIndex & | current,
|  | const QModelIndex & | previous
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void scrollContentsBy | ( | int | dx,
|  | int | dy
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

virtual QAbstractItemView* createColumn | ( | const QModelIndex & | rootIndex | ) | `[protected, virtual]`

Search for all occurrences

void initializeColumn | ( | QAbstractItemView * | column | ) | const `[protected]`

Search for all occurrences

## Property Documentation

bool resizeGripsVisible `[read, write]`

Search for all occurrences

Definition at line 60 of file qcolumnview.h.

The documentation for this class was generated from the following file:

- QtGui/qcolumnview.h

QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView
QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView QColumnView